<%= form_with(model: image, local: true, multipart: true) do |form| %>
  <% if image.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(image.errors.count, "error") %> prohibited this image from being saved:</h2>

      <ul>
        <% image.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :name %>
    <%= form.text_field :name %>
  </div>

  <div class="field">
    <%= form.label :picture %>
    <%= form.file_field :picture, accept: 'image/jpg, image/jpeg, image/png' %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>

<%= javascript_pack_tag 'image_form' %>
